1.1
1.1
get /v1/privatelink-services/{privatelink_service_id}
Description
Show PrivateLink Service.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | privatelink_service_id required | PrivateLink Service ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkServiceShowResponse |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/privatelink-services/{privatelink_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"privatelink_service": {
"account_id": "",
"approval_type": "MANUAL",
"connected_resource_id": "",
"connected_resource_ip_address": "",
"connected_resource_name": "",
"connected_resource_type": "LB",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"high_speed_transfer": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"security_group_ids": [],
"service_ip_address": "",
"service_ip_port_id": "",
"state": "CREATING",
"subnet_id": "",
"vpc_id": ""
}
}